#include <VirtualWire.h>

#define RxPin 11
const int trig = 9;
const int Echo = 8;

                         
void setup() {
  // put your setup code here, to run once:
  pinMode(11, OUTPUT);
  pinMode(trig, OUTPUT);
  pinMode(Echo, INPUT);
  Serial.begin(9600);
  vw_set_ptt_inverted(true); // Required for DR3100
  vw_setup(2000);  // Bits per sec
  vw_rx_start();

}

void loop() {
  // put your main code here, to run repeatedly:
  uint8_t buf[VW_MAX_MESSAGE_LEN];
  uint8_t buflen = VW_MAX_MESSAGE_LEN;
  if (vw_get_message(buf, &buflen)){
    digitalWrite(trig, LOW);
    delayMicroseconds(2);
    digitalWrite(trig, HIGH);
    delayMicroseconds(10);
    digitalWrite(trig, LOW);
    Serial.println("ok");
    Serial.println("ok2");
    delay(100);
  }
}
